Replicate CVM
curl --request POST \
--url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/replicas \
--header 'Content-Type: application/json' \
--data '
{
"teepod_id": 123,
"node_id": 123,
"encrypted_env": "<string>",
"compose_hash": "<string>"
}
'import requests
url = "https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/replicas"
payload = {
"teepod_id": 123,
"node_id": 123,
"encrypted_env": "<string>",
"compose_hash": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
teepod_id: 123,
node_id: 123,
encrypted_env: '<string>',
compose_hash: '<string>'
})
};
fetch('https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/replicas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}CVMs
Replicate CVM
Create a replica of the CVM on a target node. If request body is omitted, it replicates to the source node and reuses existing env.
POST
/
api
/
v1
/
cvms
/
{cvm_id}
/
replicas
Replicate CVM
Headers
Path Parameters
Body
application/json
Request model for CVM replication.
Response
Replica CVM created
Was this page helpful?
⌘I

